package com.ywt.outpatient.domain.models.enums;

/**
 * 对应ywt_center库的config表的type字段
 */
public enum ConfigTypeEnum {
    Price("价格配置", 1),
    Url("地址配置", 2),
    WeChat("微信配置", 3),
    VoiceSms("语音电话配置", 4),
    FMT("公医标识配置", 5),
    CLOUD_FILM_CFG("影像报告费用配置", 8),
    OUTPATIENT("门诊缴费约配置", 9),
    ICBC_PAY_CONFIG("工行支付配置", 10),
    COVID19_QUESTIONNAIRE("新型冠状病毒感染流行病学史调查问卷需求配置", 12),
    OPEN_HIS_ICBC_PAY_CONFIG("工行支付配置", 18),
    SUBMIT_BANK_CARD_CONFIG("提交银行账户信息配置", 19),
    ;

    private final String displayName;

    private final int value;

    ConfigTypeEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }
}
